VisualEditor: Double-click on a parameter in the selection menu should insert it
Closed, ResolvedPublic

Description

From English Wikipedia:

In the template dialog, in the add parameter view, I would expect double-clicking on a parameter would add it, instead of having to find the add parameter button at the end of the list (which should, by the way, not be at the end of a scrolling

list, but always visible in a fixed place). --WS (talk) 12:17, 9 July 2013 (UTC)
Agree with this - it took me a while to figure out that I had to scroll to the bottom of a long list of reference parameters to find the button. GoingBatty (talk) 04:58, 10 July 2013 (UTC)


Version: unspecified
Severity: enhancement

bzimport set Reference to bz51143.
Mdennis-WMF created this task.Via LegacyJul 10 2013, 11:23 PM
gerritbot added a comment.Via ConduitJul 15 2013, 9:08 PM

Change 73865 had a related patch set uploaded by Trevor Parscal:
Single-click insertion

https://gerrit.wikimedia.org/r/73865

gerritbot added a comment.Via ConduitJul 15 2013, 11:53 PM

Change 73865 merged by jenkins-bot:
Single-click insertion

https://gerrit.wikimedia.org/r/73865

Jdforrester-WMF added a comment.Via ConduitJul 15 2013, 11:59 PM

This is now done (as a single-click-to-insert), and will be deployed in the next few minutes.

Thryduulf added a comment.Via ConduitAug 26 2013, 2:30 PM
  • Bug 51165 has been marked as a duplicate of this bug. ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.